#!/bin/bash

blender=/Applications/Blender.app/Contents/MacOS/Blender

while read -r l; do
	id=$(echo "$l" | cut -f1)
	export RC3_TITLE="$(echo "$l" | cut -f2)"
	export RC3_SPEAKERS="$(echo "$l" | cut -f3)"

	# --render-anim needs to be last!
	$blender \
		--background \
		rc3-franconian.net-intro.blend \
		--python-use-system-env \
		--python run.py \
		--use-extension 1 \
		--render-output //"$id"_ \
		--render-anim
done < talks.txt
